Bug 1259333 - Review Request: python-mox3 - Mock object framework for Python
Review Request: python-mox3 - Mock object framework for Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lukas Bezdicka
Fedora Extras Quality Assurance
: Reopened
Depends On: 1259286
Blocks: 1154650 RDO-LIBERTY-REVIEWS 1259400
  Show dependency treegraph
 
Reported: 2015-09-02 08:14 EDT by Lukas Bezdicka
Modified: 2015-11-21 21:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:25:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lrintel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lukas Bezdicka 2015-09-02 08:14:38 EDT
Spec URL: https://social.fedorapeople.org/python-mox3.spec
SRPM URL: https://social.fedorapeople.org/python-mox3-0.9.0-3.fc24.src.rpm
Description: Mock object framework for Python
Fedora Account System Username: social
Comment 1 Lubomir Rintel 2015-09-03 04:42:10 EDT
* Named correctly
* Version tag correct, packaging latest version
* The source file is the same as distributed by upstream
* License tag correct
* License fine for Fedora
* SPEC file clean and legible

- Does not build in mock
The fedora-23-x86_64 build fails:
http://paste.fedoraproject.org/262924/12693631

- The package seems to depend on some particular versions of other packages (hence the build failure)
Please use versioned Requires/BuildRequires whenever possible

- The URL tag is incorrect
You may want to use https://pypi.python.org/pypi/mox3 instead
Comment 2 Haïkel Guémar 2015-09-03 04:52:00 EDT
Just for the record, package fails to build without the newer python-subunit build as tests fail.
http://koji.fedoraproject.org/koji/buildinfo?buildID=682335
I have to investigate with subunit fails to build in F23, but it'll be fixed.


Package complies with new python guidelines.

somes fixes
* drop the following comment or expand it:
# https://bugs.launchpad.net/heat-cfntools/+bug/1403214/
* missing requires to six, fixtures and testtools
* about versioning, I would only require that we set min version on python-six 1.9.0, as it could break updates on EL7 (this package will be needed for OpenStack)
Comment 3 Lubomir Rintel 2015-09-03 04:54:42 EDT
* Filelists sane
* RPMlint happy
* Provides sane
* Requires sane
Comment 4 Alan Pevec 2015-09-03 05:15:14 EDT
Do not:
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

It was misguided packaging guideline, corrected in the meantime:
https://fedorahosted.org/fpc/ticket/488

Egg _binaries_ need to be removed, not Egg _metadata_
For packages using PBR metadata cannot be completely generated from sdist tarball.
Comment 6 Lubomir Rintel 2015-09-03 09:18:54 EDT
Fine now.

APPROVED
Comment 7 Lukas Bezdicka 2015-09-03 09:31:58 EDT
New Package SCM Request
=======================
Package Name: python-mox3
Short Description: Mock object framework for Python
Upstream URL: http://git.openstack.org/cgit/openstack/mox3
Owners: social apevec chandankumar
Branches:
InitialCC:
Comment 8 Lukas Bezdicka 2015-09-03 12:44:27 EDT
New Package SCM Request
=======================
Package Name: python-mox3
Short Description: Mock object framework for Python
Upstream URL: http://git.openstack.org/cgit/openstack/mox3
Owners: social apevec chandankumar
Branches:
InitialCC:
Comment 9 Gwyn Ciesla 2015-09-03 14:25:10 EDT
Git done (by process-git-requests).
Comment 10 Lukas Bezdicka 2015-09-07 03:54:13 EDT
Package Change Request
======================
Package Name: python-mox3
New Branches: f22 f23
Owners: social apevec chandankumar
InitialCC:
Comment 11 Gwyn Ciesla 2015-09-28 08:37:40 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2015-09-29 08:57:50 EDT
python-mox3-0.10.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2798ddf72b
Comment 13 Fedora Update System 2015-09-29 09:02:28 EDT
python-mox3-0.10.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1359a57f2c
Comment 14 Fedora Update System 2015-10-01 19:54:15 EDT
python-mox3-0.10.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-mox3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1359a57f2c
Comment 15 Fedora Update System 2015-10-01 21:50:03 EDT
python-mox3-0.10.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-mox3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1359a57f2c
Comment 16 Fedora Update System 2015-10-03 21:37:56 EDT
python-mox3-0.10.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-mox3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2798ddf72b
Comment 17 Fedora Update System 2015-11-20 10:25:10 EST
python-mox3-0.10.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-11-21 21:25:14 EST
python-mox3-0.10.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.